POST /api/v1/signature-requests/bulk — Create Bulk Signature Request
Create a bulk signature request job for mass document signing. Upload an Excel file or JSON array with signer details and documents to be processed.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
- Content-Type (required)
- application/json
Request Body
Content-Type: application/json
{
"templateId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"signers": [
{
"name": "Ahmed Al-Rashid",
"nationalId": "1234567890",
"email": "ahmed@example.com",
"mobile": "+966501234567"
},
{
"name": "Sara Al-Otaibi",
"nationalId": "0987654321",
"email": "sara@example.com",
"mobile": "+966507654321"
},
{
"name": "Omar Al-Ghamdi",
"nationalId": "1122334455",
"email": "omar@example.com",
"mobile": "+966503334444"
}
],
"notifyBy": "Both"
}Responses
HTTP 200 — Bulk signature request created
{
"data": {
"jobId": "bulk-job-001-xyz",
"totalSigners": 3,
"status": "Processing",
"estimatedCompletion": "2024-01-15T10:30:00Z"
},
"errorCode": 0,
"message": "Bulk signature request created successfully"
}